API
PATCH /api/orgs/{org_id}/members/{user_id}
Update Member Role
PATCH /api/orgs/{org_id}/members/{user_id}
Update Member Role
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
org_id | path | string | Yes | - |
user_id | path | string | Yes | - |
X-Org-ID | header | string | null | No | - |
Request body
A JSON request body is required.
| Field | Type | Required | Description |
|---|---|---|---|
role | string | Yes | - |
Example request
curl -X PATCH https://api.cognitivx.io/api/orgs/{org_id}/members/{user_id} \
-H "Authorization: Bearer icog_..." \
-H "Content-Type: application/json" \
-d '{
"role": "string"
}'Responses
| Status | Description |
|---|---|
204 | Success with no response body. |
422 | Request validation failed. detail lists each offending field. |